MyGUI::ResourceTrueTypeFont Class Reference

`#include <MyGUI_ResourceTrueTypeFont.h>`

Inheritance diagram for MyGUI::ResourceTrueTypeFont:
[legend]

## Public Types

typedef RTTIBase | Base
typedef ResourceTrueTypeFont | RTTIBase
Public Types inherited from MyGUI::IFont
typedef RTTIBase | Base
typedef IFont | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| ~ResourceTrueTypeFont () override
void | deserialization (xml::ElementPtr _node, Version _version) override
const GlyphInfo * | getGlyphInfo (Char _id) const override
ITexture * | getTextureFont () const override
int | getDefaultHeight () const override
void | textureInvalidate (ITexture *_texture) override
std::vector< std::pair< Char, Char > > | getCodePointRanges () const
Char | getSubstituteCodePoint () const
void | initialise ()
void | setSource (std::string_view _value)
void | setShader (std::string_view _value)
void | setSize (float _value)
void | setResolution (unsigned int _value)
void | setHinting (std::string_view _value)
void | setAntialias (bool _value)
void | setTabWidth (float _value)
void | setOffsetHeight (int _value)
void | setSubstituteCode (int _value)
void | setDistance (int _value)
void | setMsdfMode (bool _value)
void | setMsdfRange (int _value)
void | addCodePointRange (Char _first, Char _second)
void | removeCodePointRange (Char _first, Char _second)
Public Member Functions inherited from MyGUI::IFont
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::IResource
template<typename Type>
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (std::string_view _value)
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default
Public Member Functions inherited from MyGUI::ITextureInvalidateListener
virtual | ~ITextureInvalidateListener ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IFont
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members

Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 33 of file MyGUI_ResourceTrueTypeFont.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::ResourceTrueTypeFont::Base

Definition at line 35 of file MyGUI_ResourceTrueTypeFont.h.

## RTTIBase

typedef ResourceTrueTypeFont MyGUI::ResourceTrueTypeFont::RTTIBase

Definition at line 35 of file MyGUI_ResourceTrueTypeFont.h.

## Constructor & Destructor Documentation

## ~ResourceTrueTypeFont()

MyGUI::ResourceTrueTypeFont::~ResourceTrueTypeFont | ( |  | ) |

override default

## Member Function Documentation

## addCodePointRange()

void MyGUI::ResourceTrueTypeFont::addCodePointRange | ( | Char | _first,
|  | Char | _second )

Definition at line 124 of file MyGUI_ResourceTrueTypeFont.cpp.

## deserialization()

void MyGUI::ResourceTrueTypeFont::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )

override virtual

Reimplemented from MyGUI::IResource.

Definition at line 34 of file MyGUI_ResourceTrueTypeFont.cpp.

## getClassTypeName()

std::string_view MyGUI::ResourceTrueTypeFont::getClassTypeName | ( |  | ) |

inline static

Definition at line 35 of file MyGUI_ResourceTrueTypeFont.h.

## getCodePointRanges()

std::vector< std::pair< Char, Char > > MyGUI::ResourceTrueTypeFont::getCodePointRanges | ( |  | ) | const

Definition at line 62 of file MyGUI_ResourceTrueTypeFont.cpp.

## getDefaultHeight()

int MyGUI::ResourceTrueTypeFont::getDefaultHeight | ( |  | ) | const

override virtual

Implements MyGUI::IFont.

Definition at line 53 of file MyGUI_ResourceTrueTypeFont.cpp.

## getGlyphInfo()

const GlyphInfo * MyGUI::ResourceTrueTypeFont::getGlyphInfo | ( | Char | _id | ) | const

override virtual

Implements MyGUI::IFont.

Definition at line 43 of file MyGUI_ResourceTrueTypeFont.cpp.

## getSubstituteCodePoint()

Char MyGUI::ResourceTrueTypeFont::getSubstituteCodePoint | ( |  | ) | const

Definition at line 67 of file MyGUI_ResourceTrueTypeFont.cpp.

## getTextureFont()

ITexture * MyGUI::ResourceTrueTypeFont::getTextureFont | ( |  | ) | const

override virtual

Implements MyGUI::IFont.

Definition at line 48 of file MyGUI_ResourceTrueTypeFont.cpp.

## getTypeName()

virtual std::string_view MyGUI::ResourceTrueTypeFont::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::IFont.

Definition at line 35 of file MyGUI_ResourceTrueTypeFont.h.

## initialise()

void MyGUI::ResourceTrueTypeFont::initialise | ( |  | ) |

Definition at line 72 of file MyGUI_ResourceTrueTypeFont.cpp.

## isType() [1/2]

template<typename Type>

bool MyGUI::ResourceTrueTypeFont::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 35 of file MyGUI_ResourceTrueTypeFont.h.

## isType() [2/2]

virtual bool MyGUI::ResourceTrueTypeFont::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::IFont.

Definition at line 35 of file MyGUI_ResourceTrueTypeFont.h.

## removeCodePointRange()

void MyGUI::ResourceTrueTypeFont::removeCodePointRange | ( | Char | _first,
|  | Char | _second )

Definition at line 128 of file MyGUI_ResourceTrueTypeFont.cpp.

## setAntialias()

void MyGUI::ResourceTrueTypeFont::setAntialias | ( | bool | _value | ) |

Definition at line 96 of file MyGUI_ResourceTrueTypeFont.cpp.

## setDistance()

void MyGUI::ResourceTrueTypeFont::setDistance | ( | int | _value | ) |

Definition at line 112 of file MyGUI_ResourceTrueTypeFont.cpp.

## setHinting()

void MyGUI::ResourceTrueTypeFont::setHinting | ( | std::string_view | _value | ) |

Definition at line 92 of file MyGUI_ResourceTrueTypeFont.cpp.

## setMsdfMode()

void MyGUI::ResourceTrueTypeFont::setMsdfMode | ( | bool | _value | ) |

Definition at line 116 of file MyGUI_ResourceTrueTypeFont.cpp.

## setMsdfRange()

void MyGUI::ResourceTrueTypeFont::setMsdfRange | ( | int | _value | ) |

Definition at line 120 of file MyGUI_ResourceTrueTypeFont.cpp.

## setOffsetHeight()

void MyGUI::ResourceTrueTypeFont::setOffsetHeight | ( | int | _value | ) |

Definition at line 104 of file MyGUI_ResourceTrueTypeFont.cpp.

## setResolution()

void MyGUI::ResourceTrueTypeFont::setResolution | ( | unsigned int | _value | ) |

Definition at line 88 of file MyGUI_ResourceTrueTypeFont.cpp.

## setShader()

void MyGUI::ResourceTrueTypeFont::setShader | ( | std::string_view | _value | ) |

Definition at line 80 of file MyGUI_ResourceTrueTypeFont.cpp.

## setSize()

void MyGUI::ResourceTrueTypeFont::setSize | ( | float | _value | ) |

Definition at line 84 of file MyGUI_ResourceTrueTypeFont.cpp.

## setSource()

void MyGUI::ResourceTrueTypeFont::setSource | ( | std::string_view | _value | ) |

Definition at line 76 of file MyGUI_ResourceTrueTypeFont.cpp.

## setSubstituteCode()

void MyGUI::ResourceTrueTypeFont::setSubstituteCode | ( | int | _value | ) |

Definition at line 108 of file MyGUI_ResourceTrueTypeFont.cpp.

## setTabWidth()

void MyGUI::ResourceTrueTypeFont::setTabWidth | ( | float | _value | ) |

Definition at line 100 of file MyGUI_ResourceTrueTypeFont.cpp.

## textureInvalidate()

void MyGUI::ResourceTrueTypeFont::textureInvalidate | ( | ITexture * | _texture | ) |

override virtual

Implements MyGUI::ITextureInvalidateListener.

Definition at line 58 of file MyGUI_ResourceTrueTypeFont.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceTrueTypeFont.h
- MyGUI_ResourceTrueTypeFont.cpp